Package com.collabnet.ce.soap60.webservices.frs

# Class FrsFile2SoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO
com.collabnet.ce.soap60.webservices.frs.FrsFile2SoapDO

public class FrsFile2SoapDO extends ItemSoapDO
This class represents the data associated with a FRS file.

Since:
  23.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FrsFile2SoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns 'description'.
  `int`
  `getDownloaded()`
  Returns 'downloaded'.
  `String`
  `getFilename()`
  Returns 'filename'.
  `String`
  `getMimeType()`
  Returns 'mimeType'.
  `long`
  `getSize()`
  Returns 'size'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setDownloaded(int downloaded)`
  Sets 'downloaded'.
  `void`
  `setFilename(String filename)`
  Sets 'filename'.
  `void`
  `setMimeType(String mimeType)`
  Sets 'mimeType'.
  `void`
  `setSize(long size)`
  Sets 'size'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

  `getFolderId, getPath, getTitle, setFolderId, setPath, setTitle`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FrsFile2SoapDO

    public FrsFile2SoapDO()

- ## Method Details

  - ### getDescription

    public String getDescription()
    Returns 'description'. Description of the file
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'. Description of the file
    Parameters:
      `description` - Value of 'description'.

  - ### getMimeType

    public String getMimeType()
    Returns 'mimeType'. The mime type of the file
    Returns:
      Value of 'mimeType'.

  - ### setMimeType

    public void setMimeType(String mimeType)
    Sets 'mimeType'. The mime type of the file
    Parameters:
      `mimeType` - Value of 'mimeType'.

  - ### getFilename

    public String getFilename()
    Returns 'filename'. The name of the file that will be used when the file is downloaded
    Returns:
      Value of 'filename'.

  - ### setFilename

    public void setFilename(String filename)
    Sets 'filename'. The name of the file that will be used when the file is downloaded
    Parameters:
      `filename` - Value of 'filename'.

  - ### getSize

    public long getSize()
    Returns 'size'. The size of the file in bytes
    Returns:
      Value of 'size'.

  - ### setSize

    public void setSize(long size)
    Sets 'size'. The size of the file in bytes
    Parameters:
      `size` - Value of 'size'.

  - ### getDownloaded

    public int getDownloaded()
    Returns 'downloaded'. The downloaded count of the file
    Returns:
      Value of 'downloaded'.

  - ### setDownloaded

    public void setDownloaded(int downloaded)
    Sets 'downloaded'. The downloaded count of the file
    Parameters:
      `downloaded` - Value of 'downloaded'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)